## com.baidubce.services.moladb.model
Class ProvisionedThroughputDescription

    java.lang.Object
      com.baidubce.services.moladb.model.ProvisionedThroughputDescription

    public class ProvisionedThroughputDescription

extends Object

Represents the provision throughput numbers for a specified table.

Constructor Summary
`ProvisionedThroughputDescription()` Constructs a new ProvisionedThroughputDescription object.

Method Summary
`Date` `getLastDescreaseDateTime()` Get the time of last decreasing provision throughput setting operation.
`Date` `getLastIncreaseDateTime()` Get the time of last increasing provision throughput setting operation.
`Integer` `getNumberOfDecreasesToday()` Get the number of decreasing provision throughput setting operation today.
`long` `getReadCapacityUnits()` Get the number of read capacity for this table.
`long` `getWriteCapacityUnits()` Get the number of write capacity for this table.
`void` `setLastDescreaseDateTime(Date time)` Set the time of last decreasing provision throughput setting operation.
`void` `setLastIncreaseDateTime(Date time)` Set the time of last increasing provision throughput setting operation.
`void` `setNumberOfDecreasesToday(Integer count)` Set the number of decreasing provision throughput setting operation today.
`void` `setReadCapacityUnits(Long capacity)` Set the number of read capacity for this table.
`void` `setWriteCapacityUnits(Long capacity)` Set the number of write capacity for this table.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProvisionedThroughputDescription

    public ProvisionedThroughputDescription()

  Constructs a new ProvisionedThroughputDescription object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Method Detail

### getLastDescreaseDateTime

    public Date getLastDescreaseDateTime()

  Get the time of last decreasing provision throughput setting operation.

  Returns:
    The time of last decreasing provision throughput setting operation, the type is in Date type.

### setLastDescreaseDateTime

    public void setLastDescreaseDateTime(Date time)

  Set the time of last decreasing provision throughput setting operation.

  Parameters:
    `time` - The time of last decreasing provision throughput setting operation, the type is Date.

### getLastIncreaseDateTime

    public Date getLastIncreaseDateTime()

  Get the time of last increasing provision throughput setting operation.

  Returns:
    The time of last increasing provision throughput setting operation, the type is in Date type.

### setLastIncreaseDateTime

    public void setLastIncreaseDateTime(Date time)

  Set the time of last increasing provision throughput setting operation.

  Parameters:
    `time` - The time of last increasing provision throughput setting operation, the type is Date.

### getNumberOfDecreasesToday

    public Integer getNumberOfDecreasesToday()

  Get the number of decreasing provision throughput setting operation today.

  Returns:
    The number of decreasing provision throughput setting operation today.

### setNumberOfDecreasesToday

    public void setNumberOfDecreasesToday(Integer count)

  Set the number of decreasing provision throughput setting operation today.

  Parameters:
    `count` - The number of decreasing provision throughput setting operation today.

### getReadCapacityUnits

    public long getReadCapacityUnits()

  Get the number of read capacity for this table.

  Returns:
    The number of read capacity for this table, the type is in long type.

### getWriteCapacityUnits

    public long getWriteCapacityUnits()

  Get the number of write capacity for this table.

  Returns:
    The number of write capacity for this table, the type is in long type.

### setReadCapacityUnits

    public void setReadCapacityUnits(Long capacity)

  Set the number of read capacity for this table.

  Parameters:
    `capacity` - The number of read capacity for this table, the type is in long type.
  Throws:
    `IllegalArgumentException` - if the number of write capacity is not great than 0.

### setWriteCapacityUnits

    public void setWriteCapacityUnits(Long capacity)

  Set the number of write capacity for this table.

  Parameters:
    `capacity` - The number of write capacity for this table, the type is in long type.
  Throws:
    `IllegalArgumentException` - if the number of write capacity is not great than 0.

Copyright © 2016. All rights reserved.